<img src="docs/coral-logo.png" alt="Coral logo" title="Coral" width="100" align="right" />

[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://makeapullrequest.com)
[![CI](https://github.com/divetool/coral/actions/workflows/ci.yml/badge.svg)](https://github.com/divetool/coral/actions/workflows/ci.yml)
![license](https://img.shields.io/npm/l/@divetool/coral.svg?style=flat-square)
[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fdivetool%2Fcoral.svg?type=shield)](https://app.fossa.com/projects/git%2Bgithub.com%2Fdivetool%2Fcoral?ref=badge_shield)
[![NPM Version](https://img.shields.io/npm/v/@divetool/coral?color=green&label=NPM+version&logo=npm)](https://www.npmjs.com/@divetool/coral)
[![Semantic Release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg?style=flat-square)]()
[![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](docs/CODE_OF_CONDUCT.md)
[![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/)
[![Star on GitHub](https://img.shields.io/github/stars/divetool/coral.svg?style=social)](https://github.com/divetool/coral/stargazers)

<!-- prettier-ignore-start -->
<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-5-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->
<!-- prettier-ignore-end -->

# Coral Design System

> Corals 🪸 are a reef's basic components, so they are for [DiveTool](https://github.com/divetool/divetool).

## Projects

| Name          | Package                                                                          | Version                                                                                                                                           |
| ------------- | -------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| Coral         | [`@divetool/coral`](https://www.npmjs.com/package/@divetool/coral)               | [![version](https://img.shields.io/npm/v/@divetool/coral/latest.svg?color=04989e)](https://www.npmjs.com/package/@divetool/coral)                 |
| Coral React   | [`@divetool/coral-react`](https://www.npmjs.com/package/@divetool/coral-react)   | [![version](https://img.shields.io/npm/v/@divetool/coral-react/latest.svg?color=04989e)](https://www.npmjs.com/package/@divetool/coral-react)     |
| Coral Angular | [`@divetool/coral-angular`](https://www.npmjs.com/package/@divetool/coral-react) | [![version](https://img.shields.io/npm/v/@divetool/coral-angular/latest.svg?color=04989e)](https://www.npmjs.com/package/@divetool/coral-angular) |

## Support

Reach out to the project maintainers at one of the following places:

- [GitHub Discussions](https://github.com/divetool/coral/discussions)
- Our [#support](https://discord.com/channels/1038293874189279252/1038294430815375502) channel in the [DiveTool Community](https://discord.gg/Ug3cb4QD3f) discord server.
- If you need to privately contact the project maintainers, DM them through our [DiveTool Community](https://discord.gg/Ug3cb4QD3f) discord server.

## Contributing

First off, thanks for taking the time to contribute! Contributions are what make the open-source community such an amazing place to learn, inspire, and create. Any contributions you make will benefit everybody else and are **greatly appreciated**.

## Code of conduct

DiveTool is dedicated to providing a welcoming, diverse, and harrassment-free experience for everyone. We expect everyone in the DiveTool community to abide by our [**Code of Conduct**](docs/CODE_OF_CONDUCT.md). Please read it.

## License

[![FOSSA Status](https://app.fossa.com/api/projects/git%2Bgithub.com%2Fdivetool%2Fcoral.svg?type=large)](https://app.fossa.com/projects/git%2Bgithub.com%2Fdivetool%2Fcoral?ref=badge_large)

This project is licensed under the **MIT License**.

See [LICENSE](LICENSE) for more information.

## Credits

- Logo “[Coral, diving, nature icon](https://www.iconfinder.com/icons/8935918/coral_diving_nature_ocean_reef_icon)” by [Lima Studio](https://www.iconfinder.com/khrl11) is licensed under [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/).

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center"><a href="https://sebastiandg.com/"><img src="https://avatars.githubusercontent.com/u/13395979?v=4?s=100" width="100px;" alt="Sebastian Duque Gutierrez"/><br /><sub><b>Sebastian Duque Gutierrez</b></sub></a><br /><a href="https://github.com/divetool/coral/commits?author=sebastiandg7" title="Code">💻</a> <a href="#tool-sebastiandg7" title="Tools">🔧</a> <a href="https://github.com/divetool/coral/pulls?q=is%3Apr+reviewed-by%3Asebastiandg7" title="Reviewed Pull Requests">👀</a> <a href="#ideas-sebastiandg7" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-sebastiandg7" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-sebastiandg7" title="Maintenance">🚧</a> <a href="#projectManagement-sebastiandg7" title="Project Management">📆</a> <a href="https://github.com/divetool/coral/commits?author=sebastiandg7" title="Documentation">📖</a></td>
      <td align="center"><a href="https://cv-portfolio-angular.vercel.app/home"><img src="https://avatars.githubusercontent.com/u/21989106?v=4?s=100" width="100px;" alt="Andrés Valencia Díaz "/><br /><sub><b>Andrés Valencia Díaz </b></sub></a><br /><a href="https://github.com/divetool/coral/commits?author=AndresVD21" title="Code">💻</a> <a href="https://github.com/divetool/coral/pulls?q=is%3Apr+reviewed-by%3AAndresVD21" title="Reviewed Pull Requests">👀</a> <a href="#design-AndresVD21" title="Design">🎨</a> <a href="#ideas-AndresVD21" title="Ideas, Planning, & Feedback">🤔</a> <a href="#maintenance-AndresVD21" title="Maintenance">🚧</a></td>
      <td align="center"><a href="https://github.com/mariacuadros"><img src="https://avatars.githubusercontent.com/u/104040782?v=4?s=100" width="100px;" alt="Maria del Mar Cuadros"/><br /><sub><b>Maria del Mar Cuadros</b></sub></a><br /><a href="https://github.com/divetool/coral/pulls?q=is%3Apr+reviewed-by%3Amariacuadros" title="Reviewed Pull Requests">👀</a></td>
      <td align="center"><a href="https://github.com/santidelosrios"><img src="https://avatars.githubusercontent.com/u/6628019?v=4?s=100" width="100px;" alt="Santiago De Los Ríos"/><br /><sub><b>Santiago De Los Ríos</b></sub></a><br /><a href="#projectManagement-santidelosrios" title="Project Management">📆</a></td>
      <td align="center"><a href="https://github.com/booleanaVillegas"><img src="https://avatars.githubusercontent.com/u/18287688?v=4?s=100" width="100px;" alt="Juliana Villegas"/><br /><sub><b>Juliana Villegas</b></sub></a><br /><a href="#ideas-booleanaVillegas" title="Ideas, Planning, & Feedback">🤔</a> <a href="#design-booleanaVillegas" title="Design">🎨</a> <a href="#maintenance-booleanaVillegas" title="Maintenance">🚧</a></td>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td align="center" size="13px" colspan="7">
        <img src="https://raw.githubusercontent.com/all-contributors/all-contributors-cli/1b8533af435da9854653492b1327a23a4dbd0a10/assets/logo-small.svg">
          <a href="https://all-contributors.js.org/docs/en/bot/usage">Add your contributions</a>
        </img>
      </td>
    </tr>
  </tfoot>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
